GLM_GTX_polar_coordinates
GTX Extensions (Experimental)

## Functions

template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | euclidean (tvec2< T, P > const &polar)
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | polar (tvec3< T, P > const &euclidean)

## Detailed Description

Conversion from Euclidean space to polar space and revert.

<glm/gtx/polar_coordinates.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL tvec3<T, P> glm::euclidean | ( | tvec2< T, P > const & | polar | ) |

Convert Polar to Euclidean coordinates.

See also
  GLM_GTX_polar_coordinates

GLM_FUNC_DECL tvec3<T, P> glm::polar | ( | tvec3< T, P > const & | euclidean | ) |

Convert Euclidean to Polar coordinates, x is the xz distance, y, the latitude and z the longitude.

See also
  GLM_GTX_polar_coordinates